
clear all
display 1/(2*3.14)^.5

// Figure 2.1
twoway function fi = normalden(x), range(-4 4)


// Figure 2.2
twoway function Fi = normal(x), range(-4 4)

// Figure 2.3
twoway function psi = exp(x)/(1+exp(x))^2, range(-7 7)


display exp(0)/(1+exp(0))^2

// Figure 2.4
twoway function Lambda = 1/(1+exp(-x)), range(-4 4)


twoway function Lambda = logistic(x), range(-4 4)


// Figure 2.5. 
twoway function odds = x/(1-x), range(0 1)

// Figure 2.6
twoway function logit = ln(x/(1-x)), range(0 1)

// Figure 2.7
twoway function N_O = normal(x), range(-4 4) lwidth(thick)|| ///
function LOGISTIC = logistic(1.701*x), range(-4 4)

// Figure 2.8
twoway function Lambda_0 = 1-logistic(x), range(-4 4)

// Figure 2.9
twoway function Lambda = logistic(x), range(-4 4)|| ///
function Logistic_0 = 1 - logistic(x), range(-4 4)
