clear all

infile id item1-item5 using lsat.dat

use lsat, clear

describe

summarize item1-item5


irt 2pl item1-item5

estat report, byparm sort(a)

estat report, byparm sort(b)

// Figure 6.3
irtgraph icc item1-item5

// Figure 6.4
irtgraph icc item1-item5, blocation

// Figure 6.5
irtgraph icc, blocation legend(off) xlabel( , alt)

generate AIC = (-2)*(-2466.6536) + 2*10
generate BIC = (-2)*(-2466.6536) + 10*log(1000)
list AIC BIC in 1/1

estat ic

irt 1pl item1-item5

quietly irt 2pl item1-item5
estimate store m2pl
quietly irt 1pl item1-item5
lrtest m2pl


quietly irt 2pl item1-item5
estat ic
quietly irt 1pl item1-item5
estat ic


estat report, byparm sort(b)

irtgraph icc item1-item5, blocation


irt 3pl item1-item5

estat ic

use lsat, clear
//predict Theta, latent se(ThetaSE)

quietly irt 1pl item1-item5
predict Theta, latent se(ThetaSE)

d

list in 1/20

generate lower = Theta - 1.96*ThetaSE
generate upper = Theta + 1.96*ThetaSE

// Figure 6.7
twoway rcap upper lower id || scatter Theta id

generate T = 50 + 10*Theta

list T in 1/10

generate T_round = round(T)

list T_round in 1/10

